package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 对象&标签关系对象 adm_obj_tag_rel
 * 
 * @author ruoyi
 * @date 2024-08-27
 */
public class ObjTagRel
{
    /** 标签类型 */
    @Excel(name = "标签类型")
    private Integer tagType;

    /** 标签代码 */
    @Excel(name = "标签代码")
    private String tagCode;

    /** 对象代码 */
    @Excel(name = "对象代码")
    private String objCode;

    public ObjTagRel(){
    }

    public ObjTagRel(Integer tagType, String tagCode, String objCode) {
        this.tagType = tagType;
        this.tagCode = tagCode;
        this.objCode = objCode;
    }

    public void setTagType(Integer tagType)
    {
        this.tagType = tagType;
    }

    public Integer getTagType()
    {
        return tagType;
    }
    public void setTagCode(String tagCode) 
    {
        this.tagCode = tagCode;
    }

    public String getTagCode() 
    {
        return tagCode;
    }
    public void setObjCode(String objCode) 
    {
        this.objCode = objCode;
    }

    public String getObjCode() 
    {
        return objCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tagType", getTagType())
            .append("tagCode", getTagCode())
            .append("objCode", getObjCode())
            .toString();
    }
}
